import 'package:flutter/cupertino.dart';

import 'stories_widget.dart';

class StoriesRow extends StatelessWidget {
  final double height;

  StoriesRow(this.height);

  @override
  Widget build(BuildContext context) {
    return Container(
      height: height,
      alignment: Alignment.center,
      child: ListView(
        scrollDirection: Axis.horizontal,
        children: [1, 2, 3, 4]
            .map((e) => Padding(
                  padding: const EdgeInsets.all(4.0),
                  child: StoriesWidget(
                    width: height - 8,
                    height: height - 8,
                  ),
                ))
            .toList(),
      ),
    );
  }
}
